| DocBook: The Definitive Guide 2.0.17 (Alpha)

# errortype

$Revision$

$Date$

errortype — The classification of an error message

## Synopsis

### Mixed Content Model

    errortype ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

The `ErrorType` element identifies a class of error. The exact classifications are naturally going to vary by system, but “recoverable” and “fatal” are two possibilities.

DocBook provides four elements for identifying the parts of an error message: `ErrorCode`, for the alphanumeric error code (e.g., “-2”); `ErrorName`, for the symbolic name of the error (e.g., “ENOENT”); `ErrorText`, for the text of the error message (e.g., “file not found”); and `ErrorType`, for the error type (e.g., “recoverable”).

### Processing expectations

Formatted inline.

### Parents

These elements contain errortype: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in errortype: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`errorcode`, `errorname`, `errortext`, `msgset`.

## Examples

For examples, see `errorcode`.

errortext |  | example

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.